=head1 NAME

Gnome2::Thumbnail

=cut

=for object Gnome2::Thumbnail
=cut




=head1 METHODS

=head2 boolean = $pixbuf-E<gt>B<has_uri> ($uri)

=over

=item * $uri (string) 

=back

=head2 boolean = $pixbuf-E<gt>B<is_valid> ($uri, $mtime)

=over

=item * $uri (string) 

=item * $mtime (a timestamp) 

=back

=head2 string = Gtk2::Gdk::Pixbuf-E<gt>B<md5> ($uri)

=over

=item * $uri (string) 

=back

=head2 string = Gtk2::Gdk::Pixbuf-E<gt>B<path_for_uri> ($uri, $size)

=over

=item * $uri (string) 

=item * $size (Gnome2::ThumbnailSize) 

=back

=head2 pixbuf = $pixbuf-E<gt>B<scale_down_pixbuf> ($dest_width, $dest_height)

=over

=item * $dest_width (integer) 

=item * $dest_height (integer) 

=back



=cut


=head1 ENUMS AND FLAGS

=head2 enum Gnome2::ThumbnailSize

=over

=item * 'normal' / 'GNOME_THUMBNAIL_SIZE_NORMAL'

=item * 'large' / 'GNOME_THUMBNAIL_SIZE_LARGE'

=back




=cut


=head1 SEE ALSO

L<Gnome2>


=cut


=head1 COPYRIGHT

Copyright (C) 2003-2004 by the gtk2-perl team.

This software is licensed under the LGPL.  See L<Gnome2> for a full notice.



=cut

